Pocket Wiki for Final Fantasy XV

Looking for help or the latest tips for the game Final Fantasy XV? This all-in-one solution is exactly what you need: everything for the good game and improving your gaming skills. This app will be useful for both novice and experienced players. No ads! Does not require an internet connection to use, so that any relevant information is always available to you. This app is unofficial.Features:AchievementsCharactersGuidesHintsItemsNews about the gameQuestsTipsTricksVideosWalkthroughFavoritesFiltersiPad & iPhone supportedSearchWorks offlineAchievements, characters, items and etc.Full info for each object: description, images, stats, etc.Guides, hints, tips, tricks and walkthroughTons of useful and nice guides that will be useful for both novice and experienced players.OptimizedThe app is fully optimized to work on all mobile devices from Apple Inc.RelationshipAll objects are interconnected with each other.VideosTons of useful and nice videos that will be useful for both novice and experienced players.Works offlineThe app does not require internet connection, meaning you can use it when you want.Any requests, suggestions and comments, please send via the "Feedback" in the app or email me at support@momotov.com. I will be happy and motivated if you leave (or update) a positive review about my work. Thanks! :)NoteThis app is an unofficial and not affiliated with game's developer, publisher or distributor. All in-game content, imagery, text and videos on the application are copyrighted by their respective owners. This reference app is for informational purposes and meant to assist fans of this game with game play, and is intended to be used alongside the game. It can contain information obtained from free sources on the internet. If you have a concern or feel there is a direct copyright or trademark violation that does not fall within "fair use" guidelines, please email directly me at legal@momotov.com to discuss this.
Price 1.99
License Purchase
Operating System iOS
System Requirements Requires iOS 8.0 or later. Compatible with iPhone, iPad, and iPod touch.